Jump to content
Sign in to follow this  
Mickey

Older Purchases on PC Aviator

Recommended Posts

Mickey

Hi there,

 

i lately came back to P3Dv4 and i wanted to install my Night Environment add ons. After downloading i noticed that the versions i have are still 1.7x and your store says 1.8x and v4 compatible. I purchased them at PC Aviator Australia. Will they work in v4 or do i ve to repurchase them in your store.

 

Thanks in advance 

 

BR

 

MJ

  • Like 1

Share this post


Link to post
Share on other sites
Chris Bell

Hi Mickey :)
we only distribute our title via our shop exclusively,
these titles belong to Aerosoft not us, it is our original work but its been out for so long all the while Aerosoft never wanted to make changes or omit updates we supplied,
we had to spin off and start over from scratch; the titles we currently sale are brand new and up to date not just compatibility wise but also function and feature  :)
here to stay and to be updated and all the good service that should come when you invest in software,

 

unfortunately there is no way of updating Aerosofts old titles,
you should take advantage of our current promotions as they are right up there to what we offered Aerosoft customers at the time to upgrade,

Share this post


Link to post
Share on other sites
Mickey

Hello Chris,,

 

thank you for your reply :) I will check which region i wil go first :)

 

 

  • Thanks 1

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×